> ## Documentation Index
> Fetch the complete documentation index at: https://docs.persistence.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List contact lists

> Page through the contact lists in your workspace.



## OpenAPI

````yaml api-reference/campaign-audience/openapi.json GET /v1/calls/contact-lists
openapi: 3.0.3
info:
  title: Persistence Campaign Audience API
  version: '1.0'
  description: Manage the contact lists that define who a campaign calls.
servers:
  - url: https://api.persistence.dev
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Campaign audience
    description: Contact list management and CSV upload.
paths:
  /v1/calls/contact-lists:
    get:
      tags:
        - Campaign audience
      summary: List contact lists
      description: >-
        List contact lists. Results are paginated and can be filtered by type,
        status, and search text.
      operationId: listContactLists
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
          description: Page number
        - name: perPage
          in: query
          required: false
          schema:
            type: integer
          description: Items per page
        - name: type
          in: query
          required: false
          schema:
            type: string
            enum:
              - contacts
              - dnd
          description: Contact list type
        - name: status
          in: query
          required: false
          schema:
            type: string
          description: Contact list status
        - name: searchText
          in: query
          required: false
          schema:
            type: string
          description: Search text
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactListListResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ContactListListResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ContactListPagedResult'
        success:
          type: boolean
    Error:
      type: object
      properties:
        code:
          type: string
        error:
          type: string
    ContactListPagedResult:
      type: object
      properties:
        column:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/ContactList'
        order:
          $ref: '#/components/schemas/SortOrder'
        page:
          type: integer
        perPage:
          type: integer
        searchText:
          type: string
        totalCount:
          type: integer
    ContactList:
      type: object
      properties:
        createdAt:
          type: string
        id:
          type: string
        name:
          type: string
        status:
          $ref: '#/components/schemas/ContactListStatus'
        totalEntries:
          type: integer
        type:
          $ref: '#/components/schemas/ContactListType'
        updatedAt:
          type: string
        uploadDetails:
          $ref: '#/components/schemas/Upload'
    SortOrder:
      type: string
      enum:
        - ASC
        - DESC
      x-enum-varnames:
        - SortOrderAsc
        - SortOrderDesc
    ContactListStatus:
      type: string
      enum:
        - ready
        - draft
        - archived
      x-enum-varnames:
        - ContactListStatusReady
        - ContactListStatusDraft
        - ContactListStatusArchived
    ContactListType:
      type: string
      enum:
        - contacts
        - dnd
        - batch
      x-enum-varnames:
        - ContactListTypeContacts
        - ContactListTypeDND
        - ContactListTypeBatch
    Upload:
      type: object
      properties:
        errorReportS3Key:
          type: string
        errorReportUrl:
          type: string
        errors:
          type: array
          items:
            type: integer
        id:
          type: string
        metadata:
          $ref: '#/components/schemas/UploadMetadata'
        processedAt:
          type: string
        s3Key:
          type: string
        status:
          $ref: '#/components/schemas/UploadStatus'
        uploadedAt:
          type: string
        validatedAt:
          type: string
    UploadMetadata:
      type: object
      properties:
        duplicateRows:
          type: integer
        importedRows:
          type: integer
        invalidRows:
          type: integer
        totalRows:
          type: integer
        validRows:
          type: integer
    UploadStatus:
      type: string
      enum:
        - uploaded
        - validating
        - validation_failed
        - validated
        - processing
        - processed
        - failed
      x-enum-varnames:
        - UploadStatusUploaded
        - UploadStatusValidating
        - UploadStatusValidationFailed
        - UploadStatusValidated
        - UploadStatusProcessing
        - UploadStatusProcessed
        - UploadStatusFailed
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key issued for your workspace.

````